Foreman - Bug #6150

Users need locations added even if "All users" is ticked
06/10/2014 09:03 PM - Scott Wade

Status: Ready For Testing

Priority: Normal

Assignee: Kavita Gaikwad

Category: Organizations and Locations

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.5.0
Bugzilla link: 1321543 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4111
Description

| am using locations, but not organizations. | have several locations defined. | have "All users" ticked on the Users sub-tab within
each location.

| am using authentication with LDAP backends. For my LDAP sources, | have "Automatically create accounts in Foreman" ticked.
My accounts are filtered with an LDAP filter, and automatic account creation works fine. My Anonymous role (which applies to these
users) has the "view_locations" permission granted.

However, when a user logs in, they are not able to view any locations under the Administer -> Locations menu. And the "Any
Context" menu in the top left does not list any locations in its dropdown.

Using an admin user (or a user who can edit other users), | can add locations manually to a specific user. If this user re-logs in, then
they are able to view locations as expected.

It seems like the "All users" being specified on the Users sub-tab of the Location is not taking effect. Or I'm not understanding its
intended purpose.

Dominic and | discussed this on IRC some. | can provide any information that might help. This is a new Foreman setup that we're
just getting underway.

Related issues:

Related to Foreman - Feature #6094: Ability to add usergroups to organizations New 06/06/2014
Related to Foreman - Tracker #10022: Taxonomies related issues New 04/05/2015
Related to Foreman - Feature #16624: Make auth sources taxable Closed 09/20/2016
Has duplicate Foreman - Bug #14499: Assigning organization and location by en... Duplicate 04/06/2016
Has duplicate Foreman - Bug #24893: Adding all users to Taxonomy does not work Duplicate

History

#1 - 06/10/2014 09:04 PM - Dominic Cleal

- Category set to Organizations and Locations

#2 - 09/05/2014 04:57 AM - Dominic Cleal
- Related to Feature #6094: Ability to add usergroups to organizations added

#3 - 04/06/2016 04:24 AM - Dominic Cleal

- Has duplicate Bug #14499: Assigning organization and location by enabling "All Users" checkbox doesn't work as expected added

#4 - 04/06/2016 04:31 AM - Marek Hulan

- Related to Tracker #10022: Taxonomies related issues added

#5 - 04/06/2016 04:34 AM - Ohad Levy
- Bugzilla link set to 1321543
#6 - 12/01/2016 05:20 AM - Kavita Gaikwad
- Assignee set to Kavita Gaikwad

- Target version set to 1.15.6

#7 - 12/07/2016 07:22 AM - Kavita Gaikwad

After debugging the issue, found few things as below.
1. Not only users tab but all sub-tabs under location/organization are having similar behaviour.

2. Whenever user selects check-box "All users", non-selected users remains in select panel not moved to selected panel. After saving the taxonomy,
those changes are not taking effect.

3. Lets say "All users" option checked under location and we try to create new user. Location is neither showing on the Ul i.e user creation form nor
assigned to user after save.
But if you see under edit location page, new user is listed under "selected" panel on users sub tab.

Please could anyone provide more details on above points. Exactly, What should be the behaviour of "All select" check-box on each sub-tab under
taxonomy.

#8 - 12/14/2016 08:12 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4111 added

#9 - 12/15/2016 01:53 AM - Kavita Gaikwad
- Target version changed from 1.15.6 to 1.15.4

#10 - 07/20/2017 08:19 AM - Marek Hulan

The original issue reported here was already fixed by #16624 in Foreman 1.14. By assigning taxonomy to to LDAP auth source, all users auto-created
from this auth source will be configured to be assigned into auth source's locations. The PR fixes the usability issue so that using ignore checkbox
would be less confusing as it would in reality add real associations between the resources and a given taxonomy.

#11 - 07/20/2017 08:20 AM - Marek Hulan
- Related to Feature #16624: Make auth sources taxable added

#12 - 08/11/2017 06:16 AM - Kavita Gaikwad
- Target version changed from 1.15.4to 1.17.0

#13 - 09/06/2017 01:35 AM - Kavita Gaikwad
- Target version changed from 1.17.0 to 216

#14 - 09/19/2017 08:17 AM - Kavita Gaikwad
- Target version changed from 216 to 220

#15 - 09/12/2018 06:30 AM - Ondfej Prazak
- Has duplicate Bug #24893: Adding all users to Taxonomy does not work added
